import request from '@/utils/request'

// 查询企微违禁消息列表
export function listForbiddenMessage(query) {
  return request({
    url: '/qw/forbiddenMessage/list',
    method: 'get',
    params: query
  })
}

// 查询企微违禁消息详细
export function getForbiddenMessage(id) {
  return request({
    url: '/qw/forbiddenMessage/' + id,
    method: 'get'
  })
}

// 新增企微违禁消息
export function addForbiddenMessage(data) {
  return request({
    url: '/qw/forbiddenMessage',
    method: 'post',
    data: data
  })
}

// 修改企微违禁消息
export function updateForbiddenMessage(data) {
  return request({
    url: '/qw/forbiddenMessage',
    method: 'put',
    data: data
  })
}

// 删除企微违禁消息
export function delForbiddenMessage(id) {
  return request({
    url: '/qw/forbiddenMessage/' + id,
    method: 'delete'
  })
}

// 导出企微违禁消息
export function exportForbiddenMessage(query) {
  return request({
    url: '/qw/forbiddenMessage/export',
    method: 'get',
    params: query
  })
}